package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.AuditStatusEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 对应数据库表(vip_group):
 */
public class VipGroup {

	/**  */
	private Long id;

	@ApiModelProperty(value = "课程名称",required = false)
	private String name;

	/**  */
	@ApiModelProperty(value = "用户编号", required = false)
	private Integer userId;

	/** 单节课时 */
	@ApiModelProperty(value = "单节课时", required = false)
	private Integer singleClassMinutes;

	/** 缴费截止时间 */
	@ApiModelProperty(value = "缴费截止时间", required = false)
	private java.util.Date paymentExpireDate;

	/** 课程结束日期 */
	@ApiModelProperty(value = "课程结束日期", required = false)
	private java.util.Date coursesExpireDate;

	@ApiModelProperty(value = "报名开始时间", required = false)
	private Date registrationStartTime;

	/**  */
	private java.util.Date createTime;

	/**  */
	private java.util.Date updateTime;

	/** 教学点 */
	@ApiModelProperty(value = "教学点", required = false)
	private Long teacherSchoolId;

	/** 线上课课时数 */
	@ApiModelProperty(value = "线上课课时数", required = false)
	private Integer onlineClassesNum;

	/** 线下课课时数 */
	@ApiModelProperty(value = "线下课课时数", required = false)
	private Integer offlineClassesNum;

	@ApiModelProperty(value = "学生购买价格",required = false)
	private BigDecimal price;

	@ApiModelProperty(value = "审批状态",required = false)
	private AuditStatusEnum auditStatus;

	@ApiModelProperty(value = "课程类型ID",required = false)
	private Long vipGroupCategoryId;

	public AuditStatusEnum getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(AuditStatusEnum auditStatus) {
		this.auditStatus = auditStatus;
	}

	public Long getVipGroupCategoryId() {
		return vipGroupCategoryId;
	}

	public void setVipGroupCategoryId(Long vipGroupCategoryId) {
		this.vipGroupCategoryId = vipGroupCategoryId;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return this.id;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Integer getUserId() {
		return this.userId;
	}

	public void setSingleClassMinutes(Integer singleClassMinutes) {
		this.singleClassMinutes = singleClassMinutes;
	}

	public Integer getSingleClassMinutes() {
		return this.singleClassMinutes;
	}

	public void setPaymentExpireDate(java.util.Date paymentExpireDate) {
		this.paymentExpireDate = paymentExpireDate;
	}

	public java.util.Date getPaymentExpireDate() {
		return this.paymentExpireDate;
	}

	public void setCoursesExpireDate(java.util.Date coursesExpireDate) {
		this.coursesExpireDate = coursesExpireDate;
	}

	public java.util.Date getCoursesExpireDate() {
		return this.coursesExpireDate;
	}

	public void setCreateTime(java.util.Date createTime) {
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime() {
		return this.createTime;
	}

	public void setUpdateTime(java.util.Date updateTime) {
		this.updateTime = updateTime;
	}

	public java.util.Date getUpdateTime() {
		return this.updateTime;
	}

	public void setTeacherSchoolId(Long teacherSchoolId) {
		this.teacherSchoolId = teacherSchoolId;
	}

	public Long getTeacherSchoolId() {
		return this.teacherSchoolId;
	}

	public void setOnlineClassesNum(Integer onlineClassesNum) {
		this.onlineClassesNum = onlineClassesNum;
	}

	public Integer getOnlineClassesNum() {
		return this.onlineClassesNum;
	}

	public void setOfflineClassesNum(Integer offlineClassesNum) {
		this.offlineClassesNum = offlineClassesNum;
	}

	public Integer getOfflineClassesNum() {
		return this.offlineClassesNum;
	}

	public Date getRegistrationStartTime() {
		return registrationStartTime;
	}

	public void setRegistrationStartTime(Date registrationStartTime) {
		this.registrationStartTime = registrationStartTime;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
